Package com.logicaldoc.core.security.spring

# Class LDAuthenticationDetailsSource

java.lang.Object
org.springframework.security.web.authentication.WebAuthenticationDetailsSource
com.logicaldoc.core.security.spring.LDAuthenticationDetailsSource

All Implemented Interfaces:
  `org.springframework.security.authentication.AuthenticationDetailsSource<jakarta.servlet.http.HttpServletRequest,org.springframework.security.web.authentication.WebAuthenticationDetails>`

public class LDAuthenticationDetailsSource extends org.springframework.security.web.authentication.WebAuthenticationDetailsSource
Our customization of an `AuthenticationDetailsSource` used to extract a third authentication parameter for the 2FA.

Since:
  7.7.3
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`LDAuthenticationDetailsSource()`

## Method Summary

Modifier and Type
Method
Description
`LDAuthenticationDetails`
`buildDetails(jakarta.servlet.http.HttpServletRequest request)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LDAuthenticationDetailsSource

public LDAuthenticationDetailsSource()

## Method Details

### buildDetails

public LDAuthenticationDetails buildDetails(jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `buildDetails` in interface `org.springframework.security.authentication.AuthenticationDetailsSource<jakarta.servlet.http.HttpServletRequest,org.springframework.security.web.authentication.WebAuthenticationDetails>`
Overrides:
  `buildDetails` in class `org.springframework.security.web.authentication.WebAuthenticationDetailsSource`